View Issue Details

IDProjectCategoryView StatusLast Update
0007598VALENTINA SERVEROtherpublic2016-04-10 10:22
ReporterSergey PashkovAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version6.4.x 
Target Version6.4.xFixed in Version6.4.x 
Summary0007598: VServer hangs on wrong notification connection
DescriptionIf a client has connected to FIRST server, but trying to establish notifications connection to the SECOND server, the SECOND server hangs.

Log file constantly grows with the following message:
Fri Apr 8 2016 10:59:21.599221 (TID 123145317404672): (UID 27) Unable to connect to the notification channel!
Fri Apr 8 2016 10:59:21.599306 (TID 123145317941248): (UID 27) Unable to connect to the notification channel!
Fri Apr 8 2016 10:59:21.599444 (TID 123145318477824): (UID 27) Unable to connect to the notification channel!
Steps To ReproduceSuch situation is reproducible with remote SSH connection using VStudio 6.4.1.
TagsNo tags attached.

Relationships

related to 0007579 resolvedIvan Smahin VCOMPONENT-VCLIENT VClient opens notification connection to the wrong port, if SSH tunnel or port forwarding is used 
related to 0007580 resolvedIvan Smahin VCOMPONENT-VCLIENT VClient tries to close notification connection, even if it wasn't established 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2016-04-08 08:14 Sergey Pashkov New Issue
2016-04-08 13:35 Ivan Smahin Relationship added related to 0007579
2016-04-08 13:35 Ivan Smahin Relationship added related to 0007580
2016-04-10 10:22 Ivan Smahin Status new => resolved
2016-04-10 10:22 Ivan Smahin Fixed in Version => 6.4.x
2016-04-10 10:22 Ivan Smahin Resolution open => fixed
2016-04-10 10:22 Ivan Smahin Assigned To => Ivan Smahin